#!/usr/bin/perl

my $types = {
	"strict" => "SameSite=Strict;",
	"lax" => "SameSite=Lax;",
	"none" => "SameSite=None; Secure;",
	"noset" => ""
};

my $file = "test.gif";
open( FILE, $file );
binmode(FILE);

my $size = -s $file;
my $read = read( FILE, my $buffer, $size, 0 );
close(FILE);

my $prog = (split("/", $ENV{SCRIPT_NAME}))[-1];
$prog =~ s/\.\w+$//g;
my $type = (split("_", $prog))[-1];
$type = "noset" unless exists($types->{$type});

my $domain = ''; #" domain=kougabu.info;";
my $cookie = "Set-Cookie: testtype=$prog; " . $types->{$type} . "$domain\n";

print $cookie;

print "Content-Type: image/gif\n\n";
print $buffer;

